<?php
if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );


require('./components/com_vehiclemanager/admin.vehiclemanager.class.conf.php');


// load language 
global $mosConfig_absolute_path, $mosConfig_lang,$mosConfig_live_site;

if (file_exists($mosConfig_absolute_path."/components/com_vehiclemanager/language/{$mosConfig_lang}.php" )) {
	include_once($mosConfig_absolute_path."/components/com_vehiclemanager/language/{$mosConfig_lang}.php" );
} else {
	include_once($mosConfig_absolute_path."/components/com_vehiclemanager/language/english.php" );
       }

?>

<table class="adminform">
	<tr>
		<td>
			<h3><?php echo _VEHICLE_MANAGER_DOC_GENERAL_INFO;?></h3>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td>
			<strong> <?php echo _VEHICLE_MANAGER_DOC_VERSION;?></strong>
		</td>
		<td>
			<strong>v <?php echo $vehiclemanager_configuration['release']['version'];?></strong>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php echo _VEHICLE_MANAGER_DOC_RELEASE_DATE;?></strong>
		</td>
		<td>
			<strong><?php echo $vehiclemanager_configuration['release']['date'];?></strong>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php echo _VEHICLE_MANAGER_DOC_PROJECTLINK;?></strong>
		</td>
		<td>
			<strong>
				<a href="http://www.ordasoft.com" target="blank">www.ordasoft.com</a>
			</strong>
		</td>
	</tr>
	<tr>
		<td>
			<strong><?php echo _VEHICLE_MANAGER_DOC_PROJECT_HOST;?></strong>
		</td>
		<td>
			<strong>Andrey Kvasnevskiy (<a href="mailto:akbet@ordasoft.com" >akbet@ordasoft.com</a>)
			</strong>
		</td>
	</tr>
  <tr>
    <td valign="top">
      <strong><?php echo _VEHICLE_MANAGER_DOC_LICENSE;?></strong>
    </td>
    <td>
      <strong>
        <a href="<?php echo $mosConfig_live_site."/administrator/components/com_vehiclemanager/doc/LICENSE.txt"; ?>" 
           target="blank">License</a>
      </strong>
      <br />
       <?php echo _VEHICLE_MANAGER_DOC_WARRANTY;?>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <strong>README:</strong>
    </td>
    <td>
      <strong>
        <a href="<?php echo $mosConfig_live_site."/administrator/components/com_vehiclemanager/doc/README.txt"; ?>" 
           target="blank">README</a>
      </strong>
    </td>
  </tr>
	<tr >
		<td valign="top">
			<strong><?php echo _VEHICLE_MANAGER_DOC_DEVELOP;?></strong>
		</td>
		<td>
			<ul>
				<li><b>v 1.0 Basic</b> - Orda Soft: Andrey Kvasnevskiy(<a href="mailto:akbet@mail.ru" >akbet@mail.ru</a>)</li>
			</ul>
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;
			
		</td>
	</tr>	
</table>

