<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="windows-1251"/>
	<xsl:template match="/">
		<xsl:for-each select="vechicles_data/vechicles_list/vehicle">
			<xsl:value-of select="vehicleid"/><xsl:text>|</xsl:text>
			<xsl:value-of select="description"/><xsl:text>|</xsl:text>
			<xsl:value-of select="link"/><xsl:text>|</xsl:text>
			<xsl:value-of select="vmodel"/><xsl:text>|</xsl:text>
			<xsl:value-of select="vtype"/><xsl:text>|</xsl:text>
			<xsl:value-of select="listing_type"/><xsl:text>|</xsl:text>
			<xsl:value-of select="price"/><xsl:text>|</xsl:text>
			<xsl:value-of select="price_type"/><xsl:text>|</xsl:text>
			<xsl:value-of select="vtitle"/><xsl:text>|</xsl:text>
			<xsl:value-of select="vlocation"/><xsl:text>|</xsl:text>
			<xsl:value-of select="vlatitude"/><xsl:text>|</xsl:text>
			<xsl:value-of select="vlongitude"/><xsl:text>|</xsl:text>
			<xsl:value-of select="map_zoom"/><xsl:text>|</xsl:text>
			<xsl:value-of select="year"/><xsl:text>|</xsl:text>
			<xsl:value-of select="vcondition"/><xsl:text>|</xsl:text>
			<xsl:value-of select="mileage"/><xsl:text>|</xsl:text>
			<xsl:value-of select="listing_status"/><xsl:text>|</xsl:text>
			<xsl:value-of select="engine"/><xsl:text>|</xsl:text>
			<xsl:value-of select="transmission"/><xsl:text>|</xsl:text>
			<xsl:value-of select="drive_type"/><xsl:text>|</xsl:text>
			<xsl:value-of select="cylinder"/><xsl:text>|</xsl:text>
			<xsl:value-of select="num_speed"/><xsl:text>|</xsl:text>
			<xsl:value-of select="fuel_type"/><xsl:text>|</xsl:text>
			<xsl:value-of select="city_fuel_mpg"/><xsl:text>|</xsl:text>
			<xsl:value-of select="highway_fuel_mpg"/><xsl:text>|</xsl:text>
			<xsl:value-of select="wheelbase"/><xsl:text>|</xsl:text>
			<xsl:value-of select="wheeltype"/><xsl:text>|</xsl:text>
			<xsl:value-of select="rear_axe_type"/><xsl:text>|</xsl:text>
			<xsl:value-of select="brakes_type"/><xsl:text>|</xsl:text>
			<xsl:value-of select="exterior_color"/><xsl:text>|</xsl:text>
			<xsl:value-of select="doors"/><xsl:text>|</xsl:text>
			<xsl:value-of select="exterior_amenities"/><xsl:text>|</xsl:text>
			<xsl:value-of select="interior_color"/><xsl:text>|</xsl:text>
			<xsl:value-of select="seating"/><xsl:text>|</xsl:text>
			<xsl:value-of select="dashboard_options"/><xsl:text>|</xsl:text>
			<xsl:value-of select="interior_amenities"/><xsl:text>|</xsl:text>
			<xsl:value-of select="safety_options"/><xsl:text>|</xsl:text>
			<xsl:value-of select="w_basic"/><xsl:text>|</xsl:text>
			<xsl:value-of select="w_drivetrain"/><xsl:text>|</xsl:text>
			<xsl:value-of select="w_corrosion"/><xsl:text>|</xsl:text>
			<xsl:value-of select="w_roadside_ass"/><xsl:text>|</xsl:text>
			<xsl:value-of select="image_link"/><xsl:text>|</xsl:text>
			<xsl:value-of select="hits"/><xsl:text>|</xsl:text>
			<xsl:value-of select="date"/><xsl:text>&#xA;</xsl:text>
			
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>

