<?php
if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );

/**
*
* @package  VehicleManager
* @copyright 2009 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); Rob de Cleen(rob@decleen.com); 
* Homepage: http://www.ordasoft.com
* @version: 1.0 Basic $
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

$mosConfig_absolute_path = $GLOBALS['mosConfig_absolute_path']	= JPATH_SITE;
require_once($mosConfig_absolute_path."/administrator/components/com_vehiclemanager/compat.joomla1.5.php");

// load language
if (file_exists($mosConfig_absolute_path."/components/com_vehiclemanager/language/{$mosConfig_lang}.php" ))
 {
  include_once($mosConfig_absolute_path."/components/com_vehiclemanager/language/{$mosConfig_lang}.php" );
 } 
else 
 {
  include_once($mosConfig_absolute_path."/components/com_vehiclemanager/language/english.php" );
 }

/** load the html drawing class */
require_once( $mainframe->getPath( 'front_html' ) );
require_once( $mainframe->getPath( 'class' ) );
require_once ($mosConfig_absolute_path."/components/com_vehiclemanager/vehiclemanager.class.rent_request.php");
require_once ($mosConfig_absolute_path."/components/com_vehiclemanager/vehiclemanager.class.buying_request.php");
require_once ($mosConfig_absolute_path."/components/com_vehiclemanager/vehiclemanager.class.rent.php");
require_once ($mosConfig_absolute_path."/components/com_vehiclemanager/vehiclemanager.class.review.php");
require_once ($mosConfig_absolute_path."/administrator/components/com_vehiclemanager/admin.vehiclemanager.class.others.php");
require_once ($mosConfig_absolute_path."/administrator/components/com_vehiclemanager/admin.vehiclemanager.class.conf.php");


$GLOBALS['rentstatus_show'] = $vehiclemanager_configuration['rentstatus']['show'];
$GLOBALS['rentrequest_registrationlevel'] = $vehiclemanager_configuration['rentrequest']['registrationlevel'];
$GLOBALS['reviews_show'] = $vehiclemanager_configuration['reviews']['show'];
$GLOBALS['reviews_registrationlevel'] = $vehiclemanager_configuration['reviews']['registrationlevel'];
$GLOBALS['edocs_show'] = $vehiclemanager_configuration['edocs']['show'];
$GLOBALS['edocs_registrationlevel'] = $vehiclemanager_configuration['edocs']['registrationlevel'];
$GLOBALS['buy_now_show'] = $vehiclemanager_configuration['buy_now']['show'];
$GLOBALS['buy_now_allow_categories'] = $vehiclemanager_configuration['buy_now']['allow']['categories'];  
$GLOBALS['price_show'] = $vehiclemanager_configuration['price']['show'];

$GLOBALS['cat_pic_show'] = $vehiclemanager_configuration['cat_pic']['show'];
$GLOBALS['debug'] = $vehiclemanager_configuration['debug'];
$GLOBALS['edocs_location'] = $vehiclemanager_configuration['edocs']['location'];
$GLOBALS['subcategory_show'] = $vehiclemanager_configuration['subcategory']['show'];
$GLOBALS['foto_high'] = $vehiclemanager_configuration['foto']['high'];
$GLOBALS['foto_width'] = $vehiclemanager_configuration['foto']['width'];						
$GLOBALS['vehiclemanager_configuration'] = $vehiclemanager_configuration;


$mainframe->setPageTitle( _VEHICLE_MANAGER_TITLE );

$task = trim( mosGetParam( $_REQUEST, 'task', "" ) );
$id = intval( mosGetParam( $_REQUEST, 'id', 0 ) );
$catid = intval(mosGetParam( $_REQUEST, 'catid', 0 ) );
$vids = mosGetParam($_REQUEST, 'vid', array(0));

// paginations
$intro    =  $vehiclemanager_configuration['page']['items']; // page length

if ($intro) 
 {
  $paginations = 1;
  $limit    = intval( mosGetParam( $_REQUEST, 'limit', $intro ) );
  $GLOBALS['limit'] = $limit;
 
  $limitstart = intval( mosGetParam( $_REQUEST, 'limitstart', 0 ) );
  
  $GLOBALS['limitstart'] = $limitstart;

  $total    = 0;
  $LIMIT = 'LIMIT '.$limitstart.','.$limit;
 }
else 
{
  $paginations = 0;
  $LIMIT    = '';
}

 $session =& JFactory::getSession();
 $session->set("array",$paginations);
            

if($vehiclemanager_configuration['debug'] == '1'){
  echo "Task: ".$task . "<br />";
  print_r($_POST);
  echo "<hr /><br />";
}


switch ($task)
{

	case 'show_search':
	showSearchVehicles( $option, $catid, $option );
	break;
	
	case 'search':
	searchVehicles( $option, $catid, $option );
	break;

	case 'view':
	showItemVM( $id, $catid );
	break;

	case 'review':
	reviewVehicle( $option );
	break;
	
	case 'showCategory':
	//if no category is selected show default action
	if ( $catid ) 
         {
	  showCategory( $catid );
	 } 
        else
         {
	  $task = "xxx";
	 }
	break;

	case 'rent_request':
		showRentRequest( $option, $vids );
	break;
	
	case 'save_rent_request':
		saveRentRequest( $option, $catid, $vids );
	break;

	case 'buying_request':
		saveBuyingRequest( $option,$catid, $vids );
	break;
	
	case 'new_url':
		new_direct_url($id);
	break;

	default:
	listCategories($catid);
	break;
	

}



function saveRentRequest($option, $catid, $vids){
	global $mainframe, $database, $my, $Itemid, $acl;
	global $vehiclemanager_configuration, $mosConfig_mailfrom;
	

  if( !($GLOBALS['rentstatus_show'])  ||
    !checkAccessVM($GLOBALS['rentrequest_registrationlevel'],'RECURSE', userGIDVM($my->id), $acl))
  {
                           
		echo _VEHICLE_MANAGER_NOT_AUTHORIZED;
		return;
  }
	
	$help = array();	
	foreach($vids as $vid){
		$rent_request = new mosVehicleManager_rent_request($database); 
		if (!$rent_request->bind($_POST)) {
			echo "<script> alert('".$rent_request->getError()."'); window.history.go(-1); </script>\n";
			exit ();
		}
		$rent_request->rent_request = date("Y-m-d H:i:s");
		$rent_request->fk_vehicleid = $vid;
		
		if (!$rent_request->check()) {
			echo "<script> alert('".$rent_request->getError()."'); window.history.go(-1); </script>\n";
			exit ();
		}
		if (!$rent_request->store()) {
			echo "<script> alert('".$rent_request->getError()."'); window.history.go(-1); </script>\n";
			exit ();
		}

		    
    $rent_request->checkin();
		array_push($help, $rent_request);
	}

	
	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	//
	$params->def( 'show_search', '1' );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );

	$currentcat->descrip = _VEHICLE_MANAGER_LABEL_RENT_REQUEST_THANKS;
	
	// page image
	$currentcat->img = "./components/com_vehiclemanager/images/vm_logo.png";

	$currentcat->header = $params->get( 'header' );
	
	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

    
	HTML_vehiclemanager :: showRentRequestThanks($params, $catid, $currentcat);
	
}

function saveBuyingRequest( $option,$catid, $vids ){
	global $mainframe, $database, $my, $Itemid, $acl;
	global $vehiclemanager_configuration, $mosConfig_mailfrom;

	$buying_request = new mosVehicleManager_buying_request($database);
	if (!$buying_request->bind($_POST)) {
			echo $buying_request->getError();
			exit ();
		}
	$buying_request->buying_request = date("Y-m-d H:i:s");
	$buying_request->fk_vehicleid = $vids[0];
	if (!$buying_request->store()) {
			echo "error:".$buying_request->getError();
// 			exit ();
		}
	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	//
	$params->def( 'show_search', '1' );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );

	$currentcat->descrip = _VEHICLE_MANAGER_LABEL_BUYING_REQUEST_THANKS;

	// page image
	$currentcat->img = "./components/com_vehiclemanager/images/vm_logo.png";

	$currentcat->header = $params->get( 'header' );
    
	HTML_vehiclemanager :: showRentRequestThanks($params,$catid, $currentcat);
}

function showRentRequest($option,$vid)
{
	global $mainframe, $database, $my, $Itemid, $acl;
	global $vehiclemanager_configuration;


	
if( !($GLOBALS['rentstatus_show'])  ||
		!checkAccessVM($GLOBALS['rentrequest_registrationlevel'],'RECURSE', userGIDVM($my->id), $acl))
                {
                  echo _VEHICLE_MANAGER_NOT_AUTHORIZED;
	  	  return;
        	}
	
		
	$vids = implode(',', $vid);
	
	// getting all vehicles for this category
	$query = "SELECT * FROM #__vehiclemanager_vehicles"
		. "\nWHERE id IN (" .  $vids . ") AND fk_rentid = 0"
		. "\nORDER BY catid, ordering";
	$database->setQuery( $query );
	$vehicles = $database->loadObjectList();
	
	
	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header',  _VEHICLE_MANAGER_DESC_TITLE );
	//$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'show_rentstatus', 1 );
	$params->def( 'show_rentrequest', 1 );
	$params->def( 'rent_save', 1); 
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );


	// page description
	$currentcat->descrip = _VEHICLE_MANAGER_DESC_RENT;
	
	// page image
	$currentcat->img = './components/com_vehiclemanager/images/vm_logo.png';
	$currentcat->align = 'right';

	$currentcat->header = $params->get( 'header' );
	//$currentcat->header = $currentcat->header . ": " . $category->title;
	
	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

//	HTML_realestatemanager :: showRentRequest($houses, $currentcat, $params, $tabclass, $catid, $sub_categories,is_exist_subcategory_houses($catid) );
	HTML_vehiclemanager :: showRentRequest($vehicles, $currentcat, $params, $tabclass, $catid, $sub_categories,false);
}


/**
 * comments for registered users
 */
function reviewVehicle()
{

	global $mainframe, $database, $my, $Itemid, $acl, $vehiclemanager_configuration, $mosConfig_absolute_path, $catid;
	global $mosConfig_mailfrom,$session;
	

if(!($GLOBALS['reviews_show'])  || !checkAccessVM($GLOBALS['reviews_registrationlevel'],'RECURSE', userGIDVM($my->id), $acl)) 
        {
		echo _VEHICLE_MANAGER_NOT_AUTHORIZED;
	 	return;
	}	

	
  $review = new mosVehicleManager_review($database);

	$review->date = date("Y-m-d H:i:s");
	$review->getReviewFrom( $my->id );


	if (!$review->bind($_POST)) {
		echo "<script> alert('".$review->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	
	if (!$review->check()) {
		echo "<script> alert('".$review->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	if (!$review->store()) {
		echo "<script> alert('".$review->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}

	//***************   begin add send mail for admin   ******************

	$menu = new mosMenu($database);
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );

	//********************   end add send mail for admin ************
	//showing the original entries
	mosRedirect("?option=com_vehiclemanager&amp;task=view&amp;catid=".$_POST['catid']."&amp;id=$review->fk_vehicleid&amp;Itemid=$Itemid");

}



//this function check - is exist vehicles in this folder and folders under this category 
function is_exist_curr_and_subcategory_vehicles($catid) {
		global $database, $my; 

		$query = "SELECT *, COUNT(a.id) AS numlinks FROM #__categories AS cc" 
			. "\n LEFT JOIN #__vehiclemanager_vehicles AS a ON a.catid = cc.id" 
			. "\n WHERE a.published='1' AND a.approved='1' AND section='com_vehiclemanager' AND cc.id='$catid' AND cc.published='1' AND cc.access <= '$my->gid'" 
			. "\n GROUP BY cc.id" 
			. "\n ORDER BY cc.ordering"; 
		$database->setQuery( $query ); 
		$categories = $database->loadObjectList();
		if( count($categories) != 0 ) return true;

		$query = "SELECT id " 
			. "FROM #__categories AS cc " 
			. " WHERE section='com_vehiclemanager' AND parent_id='$catid' AND published='1' AND access<='$my->gid'"; 
		$database->setQuery( $query ); 
		$categories = $database->loadObjectList();
 
		if( count($categories) == 0 ) return false;

		foreach($categories as $k) {
			if( is_exist_curr_and_subcategory_vehicles($k->id) ) return true;
		}
		return false; 
}//end function

//*****************************************************************************

//this function check - is exist folders under this category 
function is_exist_subcategory_vehicles($catid) {
		global $database, $my; 

		$query = "SELECT *, COUNT(a.id) AS numlinks FROM #__categories AS cc" 
			. "\n LEFT JOIN #__vehiclemanager_vehicles AS a ON a.catid = cc.id" 
			. "\n WHERE a.published='1' AND a.approved='1' AND section='com_vehiclemanager' AND parent_id='$catid' AND cc.published='1' AND cc.access <= '$my->gid'" 
			. "\n GROUP BY cc.id" 
			. "\n ORDER BY cc.ordering"; 
		$database->setQuery( $query ); 
		$categories = $database->loadObjectList();
		if( count($categories) != 0 ) return true;

		$query = "SELECT id " 
			. "FROM #__categories AS cc " 
			. " WHERE section='com_vehiclemanager' AND parent_id='$catid' AND published='1' AND access<='$my->gid'"; 
		$database->setQuery( $query ); 
		$categories = $database->loadObjectList();
 
		if( count($categories) == 0 ) return false;

		foreach($categories as $k) {
			if( is_exist_subcategory_vehicles($k->id) ) return true;
		}
		return false; 
}//end function


/**
 * This function is used to show a list of all vehicles
 */
function listCategories( $catid ) 
{
//echo $catid ; exit;

	global $mainframe, $database, $my, $acl;
	global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
	global $cur_template, $Itemid, $vehiclemanager_configuration;

	$query = "select c.id, c.parent_id, c.title, c.image, d.vehicles, '0' as display from (select id, parent_id, title, image from #__categories where section='com_vehiclemanager' ORDER BY ordering ) as c left join ( select a.id as id, count(b.id) as vehicles  from #__categories as a, #__vehiclemanager_vehicles as b  where b.catid=a.id and b.published=1 GROUP BY a.id) as d  on  c.id = d.id;";

	$database->setQuery( $query ); 
	$cat_all = $database->loadObjectList();

	for ($i = 0; $i < count($cat_all); $i++) {
		if (is_exist_curr_and_subcategory_vehicles($cat_all[$i]->id)) $cat_all[$i]->display = 1;
	}

	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'show_search', '1' );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );

	// page header
	$currentcat->header = $params->get( 'header' );


	//add for show in category picture
	if(($GLOBALS['cat_pic_show'])) $params->def( 'show_cat_pic', 1 );

	// page description
	$currentcat->descrip = _VEHICLE_MANAGER_DESC;

	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

	HTML_vehiclemanager::showCategories($params, $cat_all, $catid, $tabclass, $currentcat);
}



function constructPathway($cat){
    global $mainframe, $database, $option, $Itemid,$mosConfig_absolute_path;

    $query = "SELECT * FROM #__categories WHERE section = 'com_vehiclemanager' AND published = 1";
    $database->setQuery($query);
    $rows = $database->loadObjectlist('id');
    $pid = $cat->id;
    $pathway = array();
    $pathway_name = array();
    while($pid != 0){

      $cat = @$rows[$pid];

      $pathway[] =  sefRelToAbs('index.php?option=' . $option . '&task=showCategory&catid=' . @$cat->id . '&Itemid=' . $Itemid);
      $pathway_name[] =  @$cat->title  ;
      $pid = @$cat->parent_id;
    }

    $pathway = array_reverse($pathway);
    $pathway_name = array_reverse($pathway_name);

    for($i=0,$n=count($pathway);$i<$n;$i++){
      $mainframe->appendPathWay($pathway_name[$i],$pathway[$i] );
//echo $pathway[$i] ."::";
    }
//exit;
}


/**
 * This function is used to show a list of all vehicles
 */
function showCategory( $catid )
{



	global $mainframe, $database, $acl, $my;
	global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
	global $cur_template, $Itemid, $vehiclemanager_configuration;



	// getting all houses for this category
	$query = "SELECT id, hits, price, vmodel, vtitle, catid, fk_rentid, listing_type, year, link, image_link FROM #__vehiclemanager_vehicles"
		. "\nWHERE catid = '$catid' AND published='1' AND approved='1'"
		. "\nORDER BY ordering";
	$database->setQuery( $query );
	$vehicles = $database->loadObjectList();	
	
	//getting the current category informations
	$query = "SELECT * FROM #__categories WHERE id='$catid'";
	$database->setQuery( $query );	
	$category = $database->loadObjectList();
	$category = $category[0];

	$query = "select c.id, c.parent_id, c.title, c.image, d.vehicles, '0' as display from (select id, parent_id, title, image from #__categories where section='com_vehiclemanager' ) as c left join ( select a.id as id, count(b.id) as vehicles  from #__categories as a, #__vehiclemanager_vehicles as b  where b.catid=a.id and b.published=1 GROUP BY a.id) as d  on  c.id = d.id;";

	$database->setQuery( $query ); 
	$cat_all = $database->loadObjectList();

	for ($i = 0; $i < count($cat_all); $i++) {
		if (is_exist_curr_and_subcategory_vehicles($cat_all[$i]->id)) $cat_all[$i]->display = 1;
	}
	

	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'category_name', $category->title );
	$params->def( 'show_search', '1' );
	
	//add to path category name
	constructPathway($category);
	$mainframe->appendPathWay($category->title);


	if( ($GLOBALS['rentstatus_show']) )
  {
		$params->def('show_rentstatus',1);
		if (checkAccessVM($GLOBALS['rentrequest_registrationlevel'],'RECURSE', userGIDVM($my->id), $acl)) {
			$params->def( 'show_rentrequest', 1);
		}
	}


	//add for show in category picture
	if( ($GLOBALS['cat_pic_show']) ) $params->def( 'show_cat_pic', 1 );
	$params->def( 'show_rating', 1 );
	$params->def( 'hits', 1 );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );

	$currentcat->descrip = $category->description;
	
	// page image
	$currentcat->img = null;
	$path = $mosConfig_live_site .'/images/stories/';
	if ( $category->image != null && count($category->image) > 0) {
		$currentcat->img = $path . $category->image;
		$currentcat->align = $category->image_position;
	}

	$currentcat->header = $params->get( 'header' );
	$currentcat->header = ((trim($currentcat->header))?$currentcat->header.":":"") . $category->title;

	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

	HTML_vehiclemanager::displayVehicles($vehicles, $currentcat, $params, $tabclass, $catid, $cat_all,is_exist_subcategory_vehicles($catid) );
}



function showItemVM ($id, $catid) 
{
	global $mainframe, $database, $my, $acl, $option ;
	global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
	global $cur_template, $Itemid, $vehiclemanager_configuration;
 
	//add to path category name
	//getting the current category informations
	$query = "SELECT * FROM #__categories WHERE id='$catid'";
       
	$database->setQuery( $query );	
	$category = $database->loadObjectList();

	$category = $category[0];

  if ($category->parent_id > 0)
  constructPathway($category);
  $pathway =  sefRelToAbs('index.php?option=' . $option . 
      '&amp;task=showCategory&amp;catid=' . $category->id . '&amp;Itemid=' . $Itemid);
  $pathway_name =  "vehicle"  ;

	$mainframe->appendPathWay($pathway_name,$pathway);
	$mainframe->appendPathWay(" ");

	//Record the hit
	$sql="UPDATE #__vehiclemanager_vehicles SET hits = hits + 1 WHERE id = ". $id ."";
	$database->setQuery( $sql );
	$database->query();

	//load the vehicle
	$vehicle = new mosVehicleManager( $database );
	$vehicle->load($id);


    $session=&JFactory::getSession();
$session->get("obj_vehicle",$vehicle);
	
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );


	if( ($GLOBALS['rentstatus_show']) ){
		$params->def( 'show_rentstatus', 1 );
		if (checkAccessVM($GLOBALS['rentrequest_registrationlevel'],'RECURSE', userGIDVM($my->id), $acl)) {
			$params->def( 'show_rentrequest', 1);
		}
	}
	
	if( ($GLOBALS['reviews_show']) ){
		$params->def( 'show_reviews', 1 );
		if (checkAccessVM($GLOBALS['reviews_registrationlevel'],'RECURSE', userGIDVM($my->id), $acl)) {
			$params->def( 'show_inputreviews', 1);
		}
	}	
	
	if( ($GLOBALS['edocs_show']) ){
		$params->def( 'show_edocstatus', 1 );
		if (checkAccessVM($GLOBALS['edocs_registrationlevel'],'RECURSE', userGIDVM($my->id), $acl)) {
			$params->def( 'show_edocsrequest', 1);//+18.01
				//+18.01
					}
		} 

	if( ($GLOBALS['price_show']) ){
		$params->def( 'show_pricestatus', 1 );
		$params->def( 'show_pricerequest', 1);//+18.01
	}
//************   begin add button 'buy now'   ***************************

	
   if(($GLOBALS['buy_now_show']) ){
		$params->def( 'show_buy_now', 1 );
		$s = explode(',',$GLOBALS['buy_now_allow_categories']);
    foreach($s as $i )
    {
			if($i == $catid || $i == -2) {
        $params->def( 'show_input_buy_now', 1);
        break;
      }
		}
	}

//************   end add button 'buy now'   ********************************

	
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'item_description', 1 );
	$params->def( 'rent_request', $GLOBALS['rentrequest_registrationlevel']);
	$params->def( 'show_edoc', $GLOBALS['edocs_show']);
	$params->def( 'show_price', $GLOBALS['price_show']);
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );
	
	// page header
	$currentcat->header = $params->get( 'header' );
	$currentcat->header = ((trim($currentcat->header))?$currentcat->header.":":"") . $vehicle->vtitle;
	
	$query = "select main_img from #__vehiclemanager_photos WHERE fk_vehicleid=$vehicle->id order by id";
	$database->setQuery( $query );
	$vehicle_photos = $database->loadObjectList();
	// show the vehicle
	HTML_vehiclemanager::displayVehicle( $vehicle, $tabclass, $params, $currentcat, $ratinglist, $vehicle_photos );
}


//**************   begin gevi direct url   *************************

function new_direct_url($id) {
	global $database;
	//SELECT URL FROM #__vehiclemanager WHERE id=9;

	$database->setQuery("SELECT URL FROM #__rem_houses WHERE id=".$id.";");	
	$direct_url = $database->loadResult();
	header("Location: ".$direct_url);
}

//************   end gevi direct url   ******************************


function showSearchVehicles($options, $catid, $option)
{                                                    

	global $mainframe, $database, $my;
	global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
	global $cur_template, $Itemid;
	
	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	//
	$params->def( 'show_search', '1' );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );

	$currentcat->descrip = _VEHICLE_MANAGER_SEARCH_DESC1;
      $currentcat->align = 'right';
	
	// page image
	$currentcat->img = "./components/com_vehiclemanager/images/vm_logo.png";


	$currentcat->header = $params->get( 'header' );
	$currentcat->header = ((trim($currentcat->header))?$currentcat->header.":":""). _VEHICLE_MANAGER_LABEL_SEARCH;
	
	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

	$categories[] = mosHTML :: makeOption('0', 'Search category');
	$database->setQuery("SELECT id AS value, name AS text FROM #__categories"."\nWHERE section='$option' ORDER BY ordering");
	$categories = array_merge($categories, $database->loadObjectList());

	if (count($categories) < 1) {
	    mosRedirect("index2.php?option=categories&amp;section=$option&amp;err_msg=You must first create category for that section.");
	}

	$clist = mosHTML :: selectList($categories, 'catid', 'class="inputbox" size="1"', 'value', 'text', 0);


	// show the House
	HTML_vehiclemanager::showSearchVehicles( $params, $currentcat, $clist , $option);

}

function searchVehicles($options, $catid, $option){
                                                              
  global $mainframe, $database, $my, $acl,$hide_js;
  global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
  global $cur_template, $Itemid, $vehiclemanager_configuration;
  
        $session = &JFactory::getSession();

  
  if(array_key_exists("searchtext",$_REQUEST))
  { 
    $search = mosGetParam( $_REQUEST, 'searchtext', '' );
    $session->set("poisk",$search); 
  } 
        
  $poisk_search = $session->get("poisk","default");        

    //serche copy  begining 

  $where          = array();
  $Rent               = " ";
  $Address            = " ";
  $Title              = " ";
  $Condition          = " ";
  $Vehicle_type       = " ";
  $Description        = " ";
  $Listing_type       = " ";
  $Mileage            = " ";
  $Engine_type      = " ";
  $Transmission       = " ";
  $Fuel_type      = " ";
  $Interior_color    = " ";
  $Exterior_extras    = " ";
  $Exterior_colors    = " ";
  $Dashboard_option   = " ";
  $Interior_extras    = " ";
  $Safety_options     = " ";
  $Warranty_options   = " ";
  $Wheeltype          = " ";
  $Interior_colors    = " ";
  $Model              = " ";
  $RentSQL_JOIN_1     = " ";
  $RentSQL_JOIN_2     = " ";
  $RentSQL            = " ";
  $RentSQL_rent_until = " ";

  if(isset($_REQUEST['yearfrom']) && (intval($_REQUEST['yearfrom'])>1900) && (intval($_REQUEST['yearto'])>1900) && isset($_REQUEST['yearto'])){
      $year=" (b.year BETWEEN ".intval($_REQUEST['yearfrom'])." and ".intval($_REQUEST['yearto']).") ";       
  }
  elseif(isset($_REQUEST['yearfrom'])&& (intval($_REQUEST['yearfrom'])>1900))
  {
    $year=" b.year > ".intval($_REQUEST['yearfrom'])." ";
  }
  elseif(isset($_REQUEST['yearto'])&& (intval($_REQUEST['yearto'])>1900))
  {
    $year=" b.year < ".intval($_REQUEST['yearto'])." ";
  }

  $is_add_or = false;
  $add_or_value  = "  ";
  $search_basik = false;
  if(isset($_REQUEST['search_basik']) && $_REQUEST['search_basik']=="search_basik"){
    $search_basik = true;
  }
  if( (isset($_REQUEST['Address']) && $_REQUEST['Address']=="on" ) || $search_basik ){
      $Address = " ";
      if($is_add_or) $Address = " or " ;
      $is_add_or = true;
      $Address .=" LOWER(b.vlocation) LIKE '%$poisk_search%' ";       
  }
  if( (isset($_REQUEST['Title']) && $_REQUEST['Title']=="on"  ) || $search_basik ){
      $Title = " ";
      if($is_add_or) $Title = " or " ;
      $is_add_or = true;
      $Title .=" LOWER(b.vtitle) LIKE '%$poisk_search%' "; 
  }

  if( (isset($_REQUEST['Condition']) && $_REQUEST['Condition']=="on"  ) || $search_basik ){
      $Condition = " ";
      if($is_add_or) $Condition = " or " ;
      $is_add_or = true;
      $Condition .=" LOWER(b.vcondition ) LIKE '%$poisk_search%' "; 
  }

  if( (isset($_REQUEST['Vehicle_type']) && $_REQUEST['Vehicle_type']="on"  ) || $search_basik ){
      $Vehicle_type = " ";
      if($is_add_or) $Vehicle_type = " or " ;
      $is_add_or = true;
      $Vehicle_type .= "LOWER(b.vtype) LIKE '%$poisk_search%' ";  
  }

  if( (isset($_REQUEST['Listing_type']) && $_REQUEST['Listing_type']=="on" ) || $search_basik ){  
      $Listing_type = " ";
      if($is_add_or) $Listing_type = " or " ;
      $is_add_or = true;
      $Listing_type .= "LOWER(b.listing_type) LIKE '%$poisk_search%' "; 
  }
  
  if( (isset($_REQUEST['Description']) && $_REQUEST['Description']=="on" ) || $search_basik ){  
      $Description = " ";
      if($is_add_or) $Description = " or " ;
      $is_add_or = true;
      $Description .= "LOWER(b.description) LIKE '%$poisk_search%' "; 
  }
  
  if( (isset($_REQUEST['Mileage']) && $_REQUEST['Mileage']=="on" ) || $search_basik ){  
      $Mileage = " ";
      if($is_add_or) $Mileage = " or " ;
      $is_add_or = true;
      $Mileage .= "LOWER(b.mileage) LIKE '%$poisk_search%' "; 
  }
  
  if( (isset($_REQUEST['Engine_type']) && $_REQUEST['Engine_type']=="on" ) || $search_basik ){  
      $Engine_type = " ";
      if($is_add_or) $Engine_type = " or " ;
      $is_add_or = true;
      $Engine_type .= "LOWER(b.engine) LIKE '%$poisk_search%' ";  
    }

  if( (isset($_REQUEST['Transmission']) && $_REQUEST['Transmission']=="on" ) || $search_basik ){  
      $Transmission = " ";
      if($is_add_or) $Transmission = " or " ;
      $is_add_or = true;
      $Transmission .= "LOWER(b.transmission) LIKE '%$poisk_search%' "; 
  }

  if( (isset($_REQUEST['Fuel_type']) && $_REQUEST['Fuel_type']=="on" ) || $search_basik ){  
      $Fuel_type = " ";
      if($is_add_or) $Fuel_type = " or " ;
      $is_add_or = true;
      $Fuel_type .= "LOWER(b.fuel_type) LIKE '%$poisk_search%' "; 
  }

  if( (isset($_REQUEST['Exterior_colors']) && $_REQUEST['Exterior_colors']=="on" ) || $search_basik ){  
      $Exterior_colors = " ";
      if($is_add_or) $Exterior_colors = " or " ;
      $is_add_or = true;
      $Exterior_colors .= "LOWER(b.exterior_color) LIKE '%$poisk_search%' ";  
    }

  if( (isset($_REQUEST['Exterior_extras']) && $_REQUEST['Exterior_extras']=="on" ) || $search_basik ){  
      $Exterior_extras = " ";
      if($is_add_or) $Exterior_extras = " or " ;
      $is_add_or = true;
      $Exterior_extras .= "LOWER(b.exterior_amenities) LIKE '%$poisk_search%' ";  
  }

  if( (isset($_REQUEST['Dashboard_options']) && $_REQUEST['Dashboard_options']=="on" ) || $search_basik ){  
      $Dashboard_option = " ";
      if($is_add_or) $Dashboard_option = " or " ;
      $is_add_or = true;
      $Dashboard_option .= "LOWER(b.dashboard_options) LIKE '%$poisk_search%' ";  
  }

  if( (isset($_REQUEST['Interior_extras']) && $_REQUEST['Interior_extras']=="on" ) || $search_basik ){  
      $Interior_extras = " ";
      if($is_add_or) $Interior_extras = " or " ;
      $is_add_or = true;
      $Interior_extras .= "LOWER(b.interior_amenities) LIKE '%$poisk_search%' ";  
    }

  if( (isset($_REQUEST['Interior_colors']) && $_REQUEST['Interior_colors']=="on" ) || $search_basik ){  
      $Interior_color = " ";
      if($is_add_or) $Interior_color = " or " ;
      $is_add_or = true;
      $Interior_color .= "LOWER(b.interior_color) LIKE '%$poisk_search%' "; 
  }
  if( (isset($_REQUEST['Wheeltype']) && $_REQUEST['Wheeltype']=="on" ) || $search_basik ){  
      $Wheeltype = " ";
      if($is_add_or) $Wheeltype = " or " ;
      $is_add_or = true;
      $Wheeltype .= "LOWER(b.wheeltype) LIKE '%$poisk_search%' "; 
  }
  if( (isset($_REQUEST['Warranty_options']) && $_REQUEST['Warranty_options']=="on" ) || $search_basik ){  
      $Warranty_options = " ";
      if($is_add_or) $Warranty_options = " or " ;
      $is_add_or = true;
      $Warranty_options .= "LOWER(b.w_basic) LIKE '%$poisk_search%' "; 
      $Warranty_options .= " or LOWER(b.w_drivetrain) LIKE '%$poisk_search%' "; 
      $Warranty_options .= " or LOWER(b.w_corrosion) LIKE '%$poisk_search%' "; 
      $Warranty_options .= " or LOWER(b.w_roadside_ass) LIKE '%$poisk_search%' "; 
  }
  
  if( (isset($_REQUEST['Model']) && $_REQUEST['Model']=="on" ) || $search_basik ){  
      $Model = " ";
      if($is_add_or) $Model = " or " ;
      $is_add_or = true;
      $Model .= "LOWER(b.vmodel) LIKE '%$poisk_search%' "; 
  }
  if( (isset($_REQUEST['Safety_options']) && $_REQUEST['Safety_options']=="on" ) || $search_basik ){  
      $Safety_options = " ";
      if($is_add_or) $Safety_options = " or " ;
      $is_add_or = true;
      $Safety_options .= "LOWER(b.safety_options) LIKE '%$poisk_search%' "; 
  }
  



    //  print_r($_REQUEST['search_date_from']);exit;
    $search_date_from = $_REQUEST['search_date_from'];
    if( ! get_magic_quotes_gpc()  )  $search_date_from = addslashes($search_date_from) ;
    $search_date_until = $_REQUEST['search_date_until'];
    if( ! get_magic_quotes_gpc()  )  $search_date_until = addslashes($search_date_until) ;
  
  if(isset($_REQUEST['search_date_from']) && ( trim($_REQUEST['search_date_from'])  ) && trim($_REQUEST['search_date_until']) == "" ){ 
      $RentSQL="  ( ( fk_rentid = 0 OR
       NOT EXISTS (select dd.fk_vehicleid from #__vehiclemanager_rent AS dd where dd.rent_until > '".
       $search_date_from."' and dd.rent_from < '".
       $search_date_from."' and dd.fk_vehicleid=b.id ) ) ".
      " AND listing_type = '". _VEHICLE_MANAGER_OPTION_FOR_RENT ."' )  ";
      if($is_add_or) $RentSQL .= " AND " ;
 
      $RentSQL_JOIN_1="\nLEFT JOIN #__vehiclemanager_rent AS d "; 
      $RentSQL_JOIN_2="\nON d.fk_vehicleid=b.id ";
  }
  if(isset($_REQUEST['search_date_until']) && (trim($_REQUEST['search_date_until']) ) && trim($_REQUEST['search_date_from']) == "" ){ 
      $RentSQL="  ( ( fk_rentid = 0  OR
       NOT EXISTS (select dd.fk_vehicleid from #__vehiclemanager_rent AS dd where dd.rent_from < '".
       $search_date_until."' and dd.rent_until > '".
       $search_date_until."' and dd.fk_vehicleid=b.id ) ) ".
      " AND listing_type = '". _VEHICLE_MANAGER_OPTION_FOR_RENT ."' )  ";
      if($is_add_or) $RentSQL .= " AND " ;
 
      $RentSQL_JOIN_1="\nLEFT JOIN #__vehiclemanager_rent AS d "; 
      $RentSQL_JOIN_2="\nON d.fk_vehicleid=b.id ";
  }
  if(isset($_REQUEST['search_date_until']) && (trim($_REQUEST['search_date_until']) ) 
    && isset($_REQUEST['search_date_from']) && ( trim($_REQUEST['search_date_from'])  ) ){ 
      $RentSQL="  ( ( fk_rentid = 0 OR
       NOT EXISTS (select dd.fk_vehicleid from #__vehiclemanager_rent AS dd where  ( dd.rent_until > '".
       $search_date_from."' and dd.rent_from < '".
       $search_date_from."' )   or ".
      " ( dd.rent_from < '".
      $search_date_until. "' and dd.rent_until > '".
      $search_date_until."' ) or ".
      " ( dd.rent_from > '".
      $search_date_from."' and dd.rent_until < '".
      $search_date_until."' ) ) ) ".
      " AND listing_type = '" . _VEHICLE_MANAGER_OPTION_FOR_RENT . "' )  ";
      if($is_add_or) $RentSQL .= " AND " ;
 
      $RentSQL_JOIN_1="\nLEFT JOIN #__vehiclemanager_rent AS d "; 
      $RentSQL_JOIN_2="\nON d.fk_vehicleid=b.id ";
  }
   $RentSQL = $RentSQL.(($is_add_or)?( "( ( ".$Address."  " . $Title."  ". $Condition . "  ".
      $Vehicle_type."  ". $Listing_type." ". $Description." ". $Mileage."  ". $Engine_type ."  ". $Transmission . " " .
       $Fuel_type."  ".  $Exterior_colors ."  " . $Exterior_extras ."  ". $Dashboard_option." ". $Interior_extras." ".
        $Interior_color." ". $Wheeltype." ". $Warranty_options." ".  $Model . " ". $Safety_options ."  ))"):(" "));
  if( trim($RentSQL) !="" ) array_push($where, $RentSQL );
  
  array_push($where, " b.published = '1' " );
  array_push($where, " b.approved = '1' " );
  
  
  if(isset($price))
  {
    array_push($where, $price);
  }
  if(isset($year))
  {
    array_push($where, $year);
  }
//  array_push($where, "b.archived=0");
  if($catid){
    array_push($where, "c.id=$catid");
  }
  
  $query = "SELECT distinct  b . * , c.title AS category_titel, c.ordering AS category_ordering
      FROM #__vehiclemanager_vehicles AS b
      LEFT JOIN #__categories AS c ON b.catid = c.id ".
      $RentSQL_JOIN_1.$RentSQL_JOIN_2. 
      ((count($where) ? "\n WHERE ".implode(' AND ', $where) : "")).
      " ORDER BY category_ordering, ordering LIMIT 0 , 30 ";

  $database->setQuery( $query );
  $vehicles = $database->loadObjectList();    //выдает ошибку сервера 500

	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'category_name', _VEHICLE_MANAGER_LABEL_SEARCH );
	$params->def( 'search_request', '1' );	
	$params->def( 'hits', 1 );
	$params->def( 'show_rating', 1 );
	
	



	//add for show in category picture
	if(($GLOBALS['cat_pic_show'])) $params->def('show_cat_pic',1);

	$params->def( 'back_button', $mainframe->getCfg('back_button'));

	$currentcat->descrip = _VEHICLE_MANAGER_SEARCH_DESC2;
	$currentcat->align = 'right';
	// page image
	$currentcat->img = "./components/com_vehiclemanager/images/vm_logo.png";

  $currentcat->header = $params->get( 'header' );
	
	$currentcat->header = ((trim($currentcat->header))?$currentcat->header.":":""). _VEHICLE_MANAGER_LABEL_SEARCH;
	
	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

	
//$params->def('show_rentrequest',0);
//print_r($params);exit;
//$params->def( 'show_rentstatus', 1);
//$params->def( 'rent_save',1);
//$params->get( 'rent_save')
//print_r($params);exit;
if(isset($vehicles[0])){
	

	HTML_vehiclemanager::displayVehicles($vehicles, $currentcat, $params, $tabclass, $catid, null,false);
	}
else{
	echo "<h1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"._VEHICLE_MANAGER_LABEL_SEARCH_NOTHING_FOUND."</h1>";
 ?>
    <br />       
       <table width="100%" border="0" cellspacing="0" cellpadding="0">
        
        <tr>
          <td width="48%">&nbsp;
            
          </td>
          <td width="2%" nowrap>
            <?php   
              mosHTML::BackButton ( $params, $hide_js ); 
            ?>
          </td>
           <td width="48%">&nbsp;
            
          </td>
        </tr>
      </table>
<?php
 
			}

}


function checkAccessVM( $accessgroupid, $recurse, $usersgroupid, $acl) {
	
	//parse usergroups
	$tempArr = array();
	$tempArr = explode(',',$accessgroupid);
//	print_r($tempArr);echo ':<BR />'; print_r($usersgroupid);
//	echo ':<BR />';
	for($i = 0;$i<count($tempArr);$i++)
	{
	 if($tempArr[$i] == $usersgroupid || $tempArr[$i]==-2){
		return 1;
		}else 
		if($recurse == 'RECURSE'){
			$groupchildren=array();
			$groupchildren=$acl->get_group_children( $tempArr[$i], 'ARO', $recurse );
			if(is_array($groupchildren)&& count($groupchildren) > 0) 
				if ( in_array($usersgroupid, $groupchildren) )
					return 1;
					}
		
	}
        
		//deny access
     		return 0;
	  
}

function userGIDVM($oID){
  	global $database,$ueConfig;
	if($oID > 0) {
		$query = "SELECT gid FROM #__users WHERE id = '".$oID."'";
		$database->setQuery($query);
		$gid = $database->loadResult();
		return $gid;
	}
	else return 0;
}

?>
